Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361791 - [abrt] audacity: strlen(): audacity killed by SIGSEGV
Summary: [abrt] audacity: strlen(): audacity killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1346040
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3fcee6edfade89efdc07eea9524...
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-07-30 13:58 UTC by Xinya Zhang
Modified: 2016-09-22 09:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 09:35:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: cgroup (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: core_backtrace (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: dso_list (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: environ (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: exploitable (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: limits (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: maps (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: mountinfo (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: namespaces (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: open_fds (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: proc_pid_status (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details
File: var_log_messages (deleted)
2016-07-30 13:58 UTC, Xinya Zhang
no flags Details

Description Xinya Zhang 2016-07-30 13:58:29 UTC
Description of problem:
Crash instantly durning launching, without any GUI present.

Version-Release number of selected component:
audacity-2.1.2-4.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        audacity
crash_function: strlen
executable:     /usr/bin/audacity
global_pid:     17808
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 g_strdup at gstrfuncs.c:362
 #2 CORBA_Context_set_one_value at corba-context.c:115
 #3 do_low_level_init at bonobo-ui-main.c:197
 #4 gnome_program_postinit at gnome-program.c:1835
 #5 gnome_program_init_common at gnome-program.c:2072
 #6 gnome_program_initv at gnome-program.c:2109
 #7 gnome_program_init at gnome-program.c:1888
 #8 GnomeShutdown::GnomeShutdown at AudacityApp.cpp:556
 #9 __static_initialization_and_destruction_0 at AudacityApp.cpp:583

Potential duplicate: bug 1294499

Comment 1 Xinya Zhang 2016-07-30 13:58:33 UTC
Created attachment 1185809 [details]
File: backtrace

Comment 2 Xinya Zhang 2016-07-30 13:58:33 UTC
Created attachment 1185810 [details]
File: cgroup

Comment 3 Xinya Zhang 2016-07-30 13:58:34 UTC
Created attachment 1185811 [details]
File: core_backtrace

Comment 4 Xinya Zhang 2016-07-30 13:58:35 UTC
Created attachment 1185812 [details]
File: dso_list

Comment 5 Xinya Zhang 2016-07-30 13:58:36 UTC
Created attachment 1185813 [details]
File: environ

Comment 6 Xinya Zhang 2016-07-30 13:58:36 UTC
Created attachment 1185814 [details]
File: exploitable

Comment 7 Xinya Zhang 2016-07-30 13:58:37 UTC
Created attachment 1185815 [details]
File: limits

Comment 8 Xinya Zhang 2016-07-30 13:58:38 UTC
Created attachment 1185816 [details]
File: maps

Comment 9 Xinya Zhang 2016-07-30 13:58:39 UTC
Created attachment 1185817 [details]
File: mountinfo

Comment 10 Xinya Zhang 2016-07-30 13:58:40 UTC
Created attachment 1185818 [details]
File: namespaces

Comment 11 Xinya Zhang 2016-07-30 13:58:41 UTC
Created attachment 1185819 [details]
File: open_fds

Comment 12 Xinya Zhang 2016-07-30 13:58:42 UTC
Created attachment 1185820 [details]
File: proc_pid_status

Comment 13 Xinya Zhang 2016-07-30 13:58:42 UTC
Created attachment 1185821 [details]
File: var_log_messages

Comment 14 Jan Sedlák 2016-09-02 10:31:35 UTC
Similar problem has been detected:

Crashed on startup.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        audacity
crash_function: strlen
executable:     /usr/bin/audacity
global_pid:     13338
kernel:         4.6.7-300.fc24.x86_64
package:        audacity-2.1.2-4.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         audacity killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Jan Sedlák 2016-09-02 10:32:40 UTC
This is only happening on Wayland for me.

Comment 16 fednuc 2016-09-19 19:42:45 UTC
Looks like a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1346040 (see there for a workaround).

Comment 17 David Timms 2016-09-22 09:35:27 UTC

*** This bug has been marked as a duplicate of bug 1346040 ***


Note You need to log in before you can comment on or make changes to this bug.